%define upstream_name	 JSON
%define upstream_version 2.90

%global __provides_exclude perl\\(JSON::PP\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Parse and convert to JSON (JavaScript Object Notation)
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MA/MAKAMAKA/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(JSON::backportPP)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module converts between JSON (JavaScript Object Notation) and
Perl data structure into each other.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i.DOS -e 's/\r//g' README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%makeinstall_std

%files
%defattr(0644,root,root,0755)
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/*/*
%{perl_vendorlib}/JSON*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.900.0-5.mga6
+ Revision: 1028822
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.900.0-4.mga6
+ Revision: 946817
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.900.0-3.mga5
+ Revision: 750525
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.900.0-2.mga5
+ Revision: 685139
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Feb 07 2014 sander85 <sander85> 2.900.0-1.mga5
+ Revision: 585305
- update to 2.90

* Sat Oct 19 2013 umeabot <umeabot> 2.590.0-2.mga4
+ Revision: 527082
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.590.0-1.mga4
+ Revision: 439441
- update to 2.59

* Sun Jun 02 2013 kharec <kharec> 2.580.0-1.mga4
+ Revision: 435029
- update to 2.58

* Sun Jan 13 2013 umeabot <umeabot> 2.530.0-2.mga3
+ Revision: 368752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 2.530.0-1.mga2
+ Revision: 107003
- update to 2.53

* Wed Mar 09 2011 jquelin <jquelin> 2.510.0-1.mga1
+ Revision: 66987
- update to 2.51

* Mon Feb 28 2011 jquelin <jquelin> 2.500.0-3.mga1
+ Revision: 61588
- prevent perl(JSON::PP) to be referenced here (it's in perl-JSON-PP)

* Wed Jan 19 2011 jquelin <jquelin> 2.500.0-2.mga1
+ Revision: 24232
- fix specs
- imported package perl-JSON

